Skip to main content
GET
/
order-status
cURL
curl --request GET \
  --url https://gateway.architect.exchange/orders/order-status \
  --header 'Authorization: Bearer <token>'
{
  "status": {
    "order_id": "<string>",
    "symbol": "<string>",
    "clord_id": 1,
    "filled_quantity": 1,
    "reject_message": "<string>",
    "remaining_quantity": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.architect.exchange/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

User session token

Query Parameters

oid
string

Server order ID to query; e.g. "ORD-1234567890". Mutually exclusive with cid.

cid
integer<int64>

Client order ID to query. Mutually exclusive with oid.

Required range: x >= 0

Response

Status of requested order

status
object
required